package net.metaunix;

import java.io.InputStream;
import java.util.Map;
import org.yaml.snakeyaml.Yaml;

public class Config {

  private Map<String, Object> cfg;

  public Config(String configPath) {
    Yaml yaml = new Yaml();
    InputStream inputStream = this.getClass()
      .getClassLoader()
      .getResourceAsStream(configPath);
    this.cfg = yaml.load(inputStream);
  }

  public Object get(String key) {
    return this.cfg.get(key);
  }

}
